//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "Main.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma link "SMIBase"
#pragma link "SMIWiz"
#pragma link "SMIBase"
#pragma link "SMIWiz"
#pragma link "SMI2Cell"
#pragma link "SMI2XLS"
#pragma link "SMIBase"
#pragma resource "*.dfm"
TfrmMain *frmMain;
//---------------------------------------------------------------------------
__fastcall TfrmMain::TfrmMain(TComponent* Owner)
        : TForm(Owner)
{
}
//---------------------------------------------------------------------------
void __fastcall TfrmMain::btnImportClick(TObject *Sender)
{
  int i, j, k;
  TSpreadSheet *sheet;
  TTabSheet *tab;
  TStringGrid *grid;

  //destroy all tabs/grids for previous loaded wordbook
  for (i = pcWorkbook->PageCount; i > 0; i--) {
    delete pcWorkbook->Pages[i-1];
  }

  TMSExcel *MSExcel = new TMSExcel(Application);
  MSExcel->LoadFromFile(edFileName->Text);


  for (k = 0; k < MSExcel->Sheets->Count; k++) {
    sheet = MSExcel->Sheets->Spreadsheet(k);

    //create a tab and grid for each sheet in workbook
    tab = new TTabSheet(pcWorkbook);
    if (k < MSExcel->SheetNames->Count) {
      tab->Caption = MSExcel->SheetNames->Strings[k];
    }
    else {
      tab->Caption = "Sheet" + IntToStr(k+1);
    }
    tab->PageControl = pcWorkbook;

    grid = new TStringGrid(tab);
    grid->DefaultRowHeight = 21;
//    grid->Options = [goFixedVertLine, goFixedHorzLine, goVertLine, goHorzLine, goRangeSelect, goColSizing];
    grid->Parent = tab;
    grid->Align = alClient;

    grid->RowCount = sheet->Cells->UsedRowCount+1;
    grid->ColCount = sheet->Cells->UsedColCount+1;

    for (i = 1; i <= sheet->Cells->UsedRowCount; i++) {
      for (j = 1; j <= sheet->Cells->UsedColCount; j++) {
        grid->Cells[j][i] = VarToStr(sheet->Cells->GetValue(j-1, i-1));
        //arrAlignments[j][i] = sheet->Cells->GetAlignment(j-1, i-1);
      }
    }

    for (i = 1; i < grid->RowCount; i++) {
      grid->Cells[0][i] = IntToStr(i);
    }
    for (j = 1; j < grid->ColCount; j++) {
      grid->Cells[j][0] = char (64 + j);
    }
  }

  delete MSExcel;
}
//---------------------------------------------------------------------------

